Bug 876197 - (CVE-2012-5521) CVE-2012-5521 quagga (ospf6d): Assertion failure when removing routes (retrieving information which route to remove)
CVE-2012-5521 quagga (ospf6d): Assertion failure when removing routes (retrie...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121113,reported=2...
: Security
Depends On: 876210
Blocks: 876213
  Show dependency treegraph
 
Reported: 2012-11-13 09:35 EST by Jan Lieskovsky
Modified: 2015-08-22 11:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-13 09:35:39 EST
A denial of service flaw was found in the way Quagga's ospf6d daemon performed routes removal. In certain circumstances when removing the route the ospf6d daemon terminated with assertion failure when trying to determine / find, which route to remove. An OSPF6 router could use this flaw to cause ospf6d on an adjacent router to abort.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=693102

Upstream bug report:
[2] https://bugzilla.quagga.net/show_bug.cgi?id=747
Comment 1 Jan Lieskovsky 2012-11-13 10:08:37 EST
This issue affects the versions of the quagga package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the quagga package, as shipped with Fedora release of 16 and 17. Please schedule an update (once there is final upstream patch for this issue available).
Comment 2 Jan Lieskovsky 2012-11-13 10:09:17 EST
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/11/13/7
Comment 3 Jan Lieskovsky 2012-11-13 10:10:25 EST
Created quagga tracking bugs for this issue

Affects: fedora-all [bug 876210]
Comment 4 Kurt Seifried 2012-11-13 13:28:54 EST
Added CVE as per http://www.openwall.com/lists/oss-security/2012/11/13/14
Comment 7 Vincent Danen 2015-08-22 11:03:45 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.